Skip to main content
POST
/
v0
/
entry
/
create
/v0/entry/create
curl --request POST \
  --url https://example.com/api/validator/v0/entry/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "description": "<string>"
}
'
{
  "entryContextCid": "<string>",
  "subscriptionRequestCid": "<string>",
  "name": "<string>",
  "url": "<string>",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token as described in spliceAppBearerAuth. The subject of the token must be ledger API user of the user affected by the endpoint.

Body

application/json
name
string
required

The name of the ANS entry. It must end with .unverified.<ans> where <ans> is the ANS acronym chosen by the DSO.

url
string
required

A valid URL or an empty string. Use this to link to a website, such as the homepage of an application provided by the owner of this entry. Must not be longer than 255 characters.

description
string
required

A human readable description of the ANS entry. May be empty. Must not be longer than 140 characters.

Response

ok

The response contains the contract IDs of the corresponding subscription request. The user must accept the subscription request via their wallet to create the ANS entry.

entryContextCid
string
required
subscriptionRequestCid
string
required
name
string
required

The name of the ANS entry, as specified in the request.

url
string
required

The URL of the ANS entry, as specified in the request.

description
string
required

The description of the ANS entry, as specified in the request.